
Redmine - Defect #42003

Misalignment of icons and titles in Activity view

2024-12-17 09:33 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Activity view Estimated time: 0.00 hour

Target version: 6.0.3   

Resolution: Fixed Affected version: 6.0.0

Description

In Redmine 6.0, the alignment of icons and titles in the Activity view is not top-aligned, resulting in unnecessary margin at the top.

Additionally, when Gravatar icons are displayed, there is no proper margin between the activity type icon and the Gravatar icon.

This patch updates the CSS to restore the top alignment of icons and titles, as it was in Redmine 5.1 and earlier. It also adjusts the

spacing between icons to ensure proper margins.

Redmine 6.0:

 clipboard-202412171730-uqmm4.png 

Redmine 6.0 with the fix:

 clipboard-202412171730-1hawo.png 

Redmine 5.1:

 clipboard-202412171728-0bprs.png 

Associated revisions

Revision 23413 - 2024-12-20 01:36 - Go MAEDA

Misalignment of icons and titles in Activity view (#42003).

Patch by Go MAEDA (user:maeda).

Revision 23419 - 2024-12-26 09:03 - Go MAEDA

Merged r23413 from trunk to 6.0-stable (#42003).

History

#1 - 2024-12-17 09:36 - Go MAEDA

- File fix-misalignment-in-activity-view.patch added

- File deleted (fix-misalignment-in-activity-view.patch)

#2 - 2024-12-17 10:08 - Go MAEDA

- Category changed from UI to Activity view

#3 - 2024-12-18 01:18 - Go MAEDA

- Target version changed from Candidate for next minor release to 6.0.3

Setting the target version to 6.0.3.

#4 - 2024-12-19 08:50 - Go MAEDA

- File clipboard-202412191637-slhot.png added

- File 42003-bottom-aligned.patch added

The bottom-aligned version (the third screenshot) appears even better organized.

Redmine 6.0:
clipboard-202412171730-uqmm4.png 
Redmine 6.0 with the fix (top aligned):

 clipboard-202412171730-1hawo.png 

Redmine 6.0 with the fix (bottom aligned):

 clipboard-202412191637-slhot.png 

#5 - 2024-12-20 01:38 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch (42003-bottom-aligned.patch) in r23413.

#6 - 2024-12-26 09:04 - Go MAEDA

Merged the fix into 6.0-stable branch in r23419.

Files
